//! lyrs entrypoint

use axum::{response::Html, routing::get, Router};
use std::net::SocketAddr;
use tracing::info;

#[tokio::main]
async fn main() {
    tracing_subscriber::fmt().init();
    let app = Router::new()
        .route("/hello-world", get(greet_world))
        .route("/hello-world-text", get(greet_world_text));
    let addr = SocketAddr::from(([127, 0, 0, 1], 3000));
    info!("Listening on '{}'", addr);
    axum::Server::bind(&addr)
        .serve(app.into_make_service())
        .await
        .unwrap();
}

async fn greet_world() -> Html<&'static str> {
    Html("<h1>Hello, World!</h1>")
}

async fn greet_world_text() -> &'static str {
    "Hello, World!"
}
